Page MenuHomeMiraheze

Please add the portable infobox extension
Closed, ResolvedPublic

Description

The portable infobox extension allows users to create an infobox using a intuitive XML markup language. They were designed to increase the portability of infoboxes by removing inline CSS coding but can also benefit users who have little knowledge of CSS. It also nicely removes the need for parser functions such as {{#if | }} which many users will not know about.
Further, Wikia highly encourages wikis to use it (its technically possible to have a infobox that does not use it but that would produce at least one error). As a result almost all Wikia wikis use portable infoboxes which when imported to Miraheze produce only a preformated box with the source XML in it making it difficult for wikis to switch to Miraheze.

Event Timeline

eldrago created this task.Nov 6 2018, 13:42
AmandaCath changed the task status from Open to Stalled.Nov 6 2018, 14:02

Security review required.

Paladox added a subscriber: Paladox.Dec 16 2018, 22:41

I think this extension is a great idea. It would make migrating for users from wikia to miraheze easier.

Paladox moved this task from Backlog to Reviewed on the Extensions board.Dec 16 2018, 22:42
Paladox removed a project: Extension-Review.

Im going to approve this based on a quick glamse on the code and secondly i've reviewed the commit history (and seems the extension was imported from wikia but ported to support 1.27+)

Paladox changed the task status from Stalled to Open.Dec 16 2018, 22:45
Paladox mentioned this in Unknown Object (Diffusion Commit).Dec 30 2018, 00:59
Paladox mentioned this in Unknown Object (Diffusion Commit).Dec 30 2018, 01:01
Paladox closed this task as Resolved.Dec 30 2018, 01:26
Paladox claimed this task.